### Method

# Ide CompletionContext get_item_full

#### Declaration

    gboolean
    ide_completion_context_get_item_full (
      IdeCompletionContext* self,
      guint position,
      IdeCompletionProvider** provider,
      IdeCompletionProposal** proposal
    )

#### Description

No description available.

#### Parameters

`position` | `guint`
| No description available.
`provider` | `IdeCompletionProvider`
| No description available.
| The data is owned by the caller of the function.
`proposal` | `IdeCompletionProposal`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.